<?php
/**
 * Blank content partial template.
 *
 * @package understrap
 */
?>
<style>
.presentation-tile.hide-event {
	display: none;
}
.ib {
	display: inline-block;
	vertical-align: middle;
}
.presentation-tile .currently-playing {
			display: inline-block;
			width: 18px;
			height: 18px;
			background: green;
			border-radius: 100%;
			padding: 0;
			margin-right: 10px;
			margin-top: 6px;
}
.blink {
    -webkit-animation: 3s linear infinite condemned_blink_effect; // for android
    animation: 3s linear infinite condemned_blink_effect;
}
@-webkit-keyframes condemned_blink_effect {
    0% {
        opacity: 1;
    }
    50% {
				opacity: 0;
    }
    100% {
				opacity: 1;
    }
}
@keyframes condemned_blink_effect {
		0% {
				opacity: 1;
		}
		50% {
				opacity: 0;
		}
		100% {
				opacity: 1;
		}
}
</style>
<div class="page-content" id="schedule-content">
<?php
	function speakerInfo($ppt) {
		if($ppt->speaker_info->picture) { ?>
			<img
				src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/90x90/filters:fill(ffffff)/', $ppt->speaker_info->picture); ?>"
				title="<?php echo $ppt->speaker_info->title . " " . $ppt->speaker_info->firstName . " " . $ppt->speaker_info->lastName; ?>"
				alt="<?php echo $ppt->speaker_info->title . " " . $ppt->speaker_info->firstName . " " . $ppt->speaker_info->lastName; ?>"
				/>
				<br />
		<?php } ?>	
		<span class="speaker-desc">
			<!-- <span class="heading">Speaker</span><br /> -->
			<b><?php echo $ppt->speaker_info->title . " " . $ppt->speaker_info->firstName . " " . $ppt->speaker_info->lastName; ?></b>
			<p><?php echo $ppt->speaker_info->description; ?></p>
		</span>
		<?php
	}

	$i = 1;
	foreach($datesData as $dateData) {
		$new_date = utf8_encode(strftime("%A %e %B %Y", strtotime($dateData->date)));
		?>
		<div class="row date-section block-day block-day-<?php echo date("Y-m-d", strtotime($dateData->date)); ?>">
			<div class="col-md-2">
				<div class="schedule-date text-center">
					<h5><?php the_field('event_' . WPGlobus::Config()->language . '_day', 'option'); ?> <?php echo $i++; ?></h5>
					<span><?php echo $new_date; ?></span>
				</div>
			</div>
			<div class="col-md-10 schedule-day">
				<?php
				foreach($dateData->sessions as $sessionData) {
					if($sessionData->session_info->name) {
					?>
					<div class="session-block" data-time="<?php echo $sessionData->presentations[0]->time; ?>">
						<div class="row">
							<div class="col-md-7">
								<div class="session-info">
									<?php echo $sessionData->session_info->name; ?>&nbsp;
								</div>
							</div>
							<div class="col-md-3">
								<div class="session-info">
									<?php echo $sessionData->presentations[0]->room_info->name; ?>
								</div>
							</div>
							<div class="col-md-2">
								<div class="session-info">
									<?php echo printHumanTime($sessionData->presentations[0]->time); ?> - 
									<?php echo printHumanTime($sessionData->presentations[count($sessionData->presentations) - 1]->end_time); ?>
								</div>
							</div>
						</div>
						<div style="border: 1px solid <?php echo $sbg; ?>; padding: 15px; margin-bottom: 15px;">
							<div class="row">
								<div class="col-md-12">
									<p><?php echo $sessionData->session_info->description; ?></p>
								</div>
								<div class="col-md-12">
						<?php } ?>
									<?php
									foreach($sessionData->presentations as $presentation) {
										?>
										<?php if(!$sessionData->session_info->name) { ?><div class="session-block" data-time="<?php echo $presentation->time; ?>"><?php } ?>
										<div
											class="presentation-tile
												filter-<?php echo $presentation->speaker_info->_id; ?>
												filter-<?php echo $presentation->room_info->_id; ?>
												filter-<?php echo $presentation->color_info->_id; ?>
												filter-<?php echo $presentation->type_info->_id; ?>
												filter-<?php echo $presentation->association_info->_id; ?>
												filter-status-<?php echo $presentation->status; ?>
												filter-<?php echo substr($presentation->date, 0, 10); ?>"
												data-day="<?php echo substr($presentation->date, 0, 10); ?>"
												style="border-left: 10px solid <?php if ($presentation->color_info->color) {
													echo $presentation->color_info->color;
												} else echo '#fff'; ?>; padding: 20px 10px;">
											<div class="row align-items-center">
												<div class="col-10">
													<h5><?php echo $presentation->name; ?></h5>
												</div>
												<div class="col-2 text-right">
													<?php if($presentation->status === "recording") { ?>
														<div class="ib"><span class="currently-playing blink"></span></div>
													<?php } ?>
													<!-- <div class="ib">
															<a class="btn btn-primary" href="#"><i class="far fa-calendar-plus"></i></a>
															<a class="btn btn-primary" href="#"><i class="far fa-calendar-minus"></i></a>
													</div> -->
												</div>
											</div>
											<div class="row">
												<div class="col">
													<hr/>
												</div>
											</div>
											<div class="row">
												<div class="col-md-3">
													<a
														tabindex="0"
														data-trigger="focus"
														data-container="body"
														data-toggle="popover"
														data-placement="bottom"
														data-html="true"
														data-content='<?php
															ob_start();
															speakerInfo($presentation);
															$output = ob_get_clean();
															echo str_replace("'", '"', $output);
														?>'>
														<?php if($presentation->speaker_info->picture) { ?>
															<img
																src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/90x90/filters:fill(ffffff)/', $presentation->speaker_info->picture); ?>"
																title="<?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?>"
																alt="<?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?>"
																class="img-left" />
														<?php } ?>	
														<span class="speaker-desc">
															<!-- <span class="heading">Speaker</span><br /> -->
															<span><?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?></span>
														</span>
													</a>
												</div>
												<div class="col-md-2">
													<p><?php the_field('event_' . WPGlobus::Config()->language . '_time', 'option'); ?>: <span><?php echo printHumanTime($presentation->time); ?> <?php echo $presentation->end_time ? " - " . printHumanTime($presentation->end_time) : ""; ?></span></p>
													<p><?php the_field('event_' . WPGlobus::Config()->language . '_room', 'option'); ?>: <span><?php echo $presentation->room_info->name; ?></span></p>
												</div>
												<div class="col-md-4">
													<p>
														<?php if($presentation->type_id && $presentation->type_id !== "NA") { ?>
															<img
																src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/60x60/filters:fill(ffffff)/', $presentation->type_info->icon); ?>"
																alt="<?php echo $presentation->type_info->name; ?>"
																class="schedule_type" />
																<?php the_field('event_' . WPGlobus::Config()->language . '_type', 'option'); ?>: <span class="schedule_value"><?php echo $presentation->type_info->name; ?></span>
														<?php } ?>
													</p>
													<p><?php if($presentation->color_id && $presentation->color_id !== "NA") { ?>
														<?php the_field('event_' . WPGlobus::Config()->language . '_theme', 'option'); ?>: <span><?php echo $presentation->color_info->name; ?></span>
														<?php } ?></p>
												</div>
												<div class="col-md-3">
													<?php if($presentation->association_id && $presentation->association_id !== "NA") { // No association ?>
														<img
															src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/90x90/filters:fill(ffffff)/', $presentation->association_info->logo); ?>"
															alt="<?php echo $presentation->association_info->name; ?>"
															class="img-left" />
													<?php } ?>
													<span class="speaker-desc">
														<?php if($presentation->association_id && $presentation->association_id !== "NA") { ?>
															<span class="heading"><?php the_field('event_' . WPGlobus::Config()->language . '_association', 'option'); ?></span><br />
															<span class="schedule_value"><?php echo $presentation->association_info->name; ?></span><br />
														<?php } ?>
													</span>
												</div>
                      </div>
                      <div class="row">
                        <div class="col">
												<br />
												<div class="">
													<?php if($presentation->publicVideo && $presentation->video->seconds > 0) { ?>
															<a class="btn btn-sm btn-primary" href="?event=<?php echo $event->event->slug ? $event->event->slug : $event->event->_id; ?>&presentation_id=<?php echo $presentation->_id; ?>">
																<i class="fas fa-video"></i> <?php the_field('event_' . WPGlobus::Config()->language . '_watch_video', 'option'); ?>
															</a>
													<?php } ?>
													<?php if($presentation->pdfConvert && $presentation->pdfUrl) { ?>
														<a class="btn btn-sm btn-primary" href="?event=<?php echo $event->event->slug ? $event->event->slug : $event->event->_id; ?>&presentation_id=<?php echo $presentation->_id; ?>&viewmode=pdf"><i class="fas fa-file-pdf"></i> View PDF</a>
													<?php } ?>
													<?php if($hasForum) { ?>
														<button class="btn btn-sm btn-primary" onClick="__reactEngage('<?php echo $presentation->_id; ?>', '<?php echo $presentation->name; ?>', 'forum')"><i class="fas fa-comments"></i> Forum</button>
													<?php } ?>
													<?php if($hasQuiz) { ?>
															<button class="btn btn-sm btn-primary" onClick="__reactEngage('<?php echo $presentation->_id; ?>', '<?php echo $presentation->name; ?>', 'quiz')"><i class="fas fa-stopwatch"></i> Quiz</button>
													<?php } ?>
												</div>
                        
                        </div>
                      </div>
											<?php if($presentation->information) { ?>
												<div class="row"><div class="col"><br /><?php echo $presentation->information; ?></div></div>
											<?php } ?>
										</div>
										<?php if(!$sessionData->session_info->name) { ?></div><?php } ?>
										<?php
										}
									?>
						<?php if($sessionData->session_info->name) { ?>
									</div>
								</div>
							</div>
						</div>
						<?php } ?>
				<?php } ?>
			</div>
		</div>
		<?php
	}
?>
</div>