<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package understrap
 */

$the_theme = wp_get_theme();
$container = get_theme_mod( 'understrap_container_type' );
?>

<?php get_sidebar( 'footerfull' ); ?>

<div class="wrapper" id="wrapper-footer">

	<div class="<?php echo esc_html( $container ); ?>">
		<div class="row">
			<div class="col-md-12">
				<footer class="site-footer" id="colophon">
					<div class="site-info text-right">
						eSlides 2017. All Rights Reserved
					</div><!-- .site-info -->
				</footer><!-- #colophon -->
			</div><!--col end -->
		</div><!-- row end -->
	</div><!-- container end -->
</div><!-- wrapper end -->
</div><!-- #page -->

<?php wp_footer(); ?>
<script type='text/javascript' src='https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.5/jspdf.debug.js?ver=0.6.2' crossorigin="anonymous"></script>

<script>
function calculatePricing() {
	var credits = parseInt(jQuery("#input-estimator-days").val()) * 
	parseInt(jQuery("#input-estimator-rooms").val()) * 
	( 2 + 
		jQuery("#input-estimator-forum:checked").length + 
		(2 * jQuery("#input-estimator-quiz:checked").length)
	);
	jQuery("#output-estimator-pricing").text(400 * credits);
}
jQuery(document).ready(function() {
	jQuery(".input-estimator input").change(function(e) {
		calculatePricing();
	});
	calculatePricing();
})
</script>

</body>
</html>
