<?php
  $viewmode = get_query_var( "viewmode", "video");
?>

<style>
.control.play-duration {
  float: right; 
}
.video-view .progress-container {
  right: 130px;
}
</style>

<div class="video-view">
  <div class="event-header">
    <div class="container">
      <div class="row row align-items-center">
        <div class="col-md-3">
          <img src="<?php echo $event->event->logo ?
            str_replace("http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/", "https://d14dvar9q0pvq6.cloudfront.net/fit-in/180x80/filters:fill(ffffff)/", $event->event->logo) :
            "https://www.e-slides.net/wp-content/uploads/2017/10/logo.png";
          ?>" alt="<?php echo $event->event->name; ?>" class="img-fluid" style="max-height: 120px; max-width: 180px;">
        </div>
        <div class="col-md-9">
          <div class="event-details-header">
            <div class="row align-items-center">
              <div class="col-sm-2">
                <a class="view-event" href="?event=<?php echo $event_id; ?>">View Event</a>
              </div>
              <div class="col-sm-4">
                <div class="event-details-head" style="border-left: 10px solid blue;">
                  <h6 class="single-line"><?php echo $presentation->name; ?></h6>
                  <span class="bold"><?php the_field('event_' . WPGlobus::Config()->language . '_speaker', 'option'); ?></span>
                  <span class="name"><?php echo "{$presentation->speaker_info->title} {$presentation->speaker_info->firstName} {$presentation->speaker_info->lastName}"; ?></span>
                </div>
              </div>
              <div class="col-sm-3">
                <div class="pad">
                  <span class="bold"><?php the_field('event_' . WPGlobus::Config()->language . '_type', 'option'); ?></span>
                  <span><?php echo $presentation->type_info->name; ?></span>
                </div>
              </div>
              <div class="col-sm-3">
                <div class="pad">
                  <img
                    class="img-left"
                    src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/60x60/filters:fill(ffffff)/', $presentation->association_info->logo); ?>">
                  <span class="bold"><?php the_field('event_' . WPGlobus::Config()->language . '_association', 'option'); ?></span>
                  <span><?php echo $presentation->association_info->name; ?></span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="container m-t-40">
    <?php if($viewmode === "pdf") { ?>
      <div class="row">
        <div class="col-md-12">
          <!--
            <?php print_r($presentation); ?>
          -->
          <?php if($presentation->pdfConvert && $presentation->pdfUrl) { ?>
            <div id="embedpdf" style="width:100%; height:700px;">
            </div>
            <script src='<?php echo get_bloginfo('template_directory'); ?>/src/js/custom/pdfobject.min.js'></script>
            <script>
            PDFObject.embed("<?php echo PDF_ROOT . $presentation->pdfUrl; ?>", "#embedpdf");
            </script>
          <?php } else { ?>
            PDF not yet available for this presentation.
          <?php } ?>
        </div>
      </div>
    <?php } else { ?>
      <div class="row">
        <div class="col-md-3">
          <div class="webcam-video"></div>
          <!--
          <div class="slides-summary">
            <h5>Summary</h5>
            <div class="pad">
              <input type="search" name="search" placeholder="Search" class="form-control" />
              <?php  $content="Lorem ipsum dolor sit amet, consectet ur adipiscing elit asda asdasda asdasd"; $pos=strpos($content, ' ', 15); ?>
              <div class="thumb">
                <div class="row align-items-center no-gutters">
                  <div class="col-5">
                    <img src="https://via.placeholder.com/100x60" />
                  </div>
                  <div class="col-7">
                    <p><?php echo substr($content,0,$pos ); ?></p>
                  </div>
                </div>
              </div>
              <div class="thumb">
                <div class="row align-items-center no-gutters">
                  <div class="col-5">
                    <img src="https://via.placeholder.com/100x60" />
                  </div>
                  <div class="col-7">
                    <p>Lorem ipsum dolor sit amet, consectet ur adipiscing elit</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          -->

          <div class="slides-summary no-desc-search">
            <h5>Summary</h5>
            <div class="pad">
              <!-- <div class="thumb">
                <div class="row align-items-center no-gutters">
                  <div class="col-5">
                    <img src="https://via.placeholder.com/100x60" />
                  </div>
                  <div class="col-7">
                    <p>Lorem ipsum dolor sit amet, consectet ur adipiscing elit</p>
                  </div>
                </div>
              </div> -->
              <?php
                $first = true;
                foreach($presentation->thumbnails as $thumb) { ?>
                <div class="thumb">
                  <div class="row align-items-center no-gutters">
                    <div class="col">
                      <div class="item" data-time="<?php echo $first ? $presentation->skip * 1000 : $thumb->time; ?>">
                        <img src="<?php echo str_replace("http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com", "https://d3os20cgecg1yy.cloudfront.net", $thumb->id); ?>" class="img-fluid" />
                      </div>
                    </div>
                  </div>
                </div>
              <?php
              $first = false;
              } ?>
            </div>
          </div>
        </div>
        <div class="col-md-9">
          <div class="video-slideshow">
            <div class="player">
              <div class="video">
                <iframe
                  id="video-iframe"
                  data-video="<?php echo $presentation->video->id; ?>"
                  class='sproutvideo-player'
                  type='text/html'
                  src='//videos.sproutvideo.com/embed/<?php echo $presentation->video->id; ?>/<?php echo $presentation->video->security_token; ?>?type=sd&noBigPlay=false&showcontrols=false&t=<?php echo $presentation->skip; ?>'
                  width='100%'
                  height='100%'
                  frameborder='0'></iframe>
                <div id="iframe-overlay"></div>
              </div>
              <div class="toolbar">
                <div class="control play-pause"><a class="pointer"><i class="icon-play"></i></a></div>
                <div class="progress-container">
                  <div class="progress"></div>
                </div>
                <div class="control fullscreen"><a class="pointer"><i class="icon-fullscreen"></i></a></div>
                <div class="control volume"><a class=" pointer"><i class="icon-volume-up"></i></a></div>
                <div class="control play-duration">00:00</div>
              </div>
            </div>
          </div>
          
          <div class="row m-t-40">
            <div class="col">
              <a class="slide-controls video-prev-slide pointer">
                Previous
              </a>
            </div>
            <div class="col text-right">
              <a class="slide-controls video-next-slide pointer">
                Next
              </a>
            </div>
          </div>
        </div>
      </div>
    <?php } ?>
  </div>
</div>

<script async defer>
  var videoPlayer = new SV.Player({videoId: jQuery("#video-iframe").data("video")});
  videoPlayer.bind('progress', function(event) {
    console.log(event.data.time)
  });
</script>